<?php
add_action('widgets_init', 'tweets_footer_load_widgets');

function tweets_footer_load_widgets()
{
	register_widget('Tweets_Footer_Widget');
}

class Tweets_Footer_Widget extends WP_Widget {
	
	function Tweets_Footer_Widget()
	{
		$widget_ops = array('classname' => 'tweets_footer', 'description' => '');

		$control_ops = array('id_base' => 'tweets_footer-widget');

		$this->WP_Widget('tweets_footer-widget', 'Avada: Twitter (Footer)', $widget_ops, $control_ops);
	}
	
	function widget($args, $instance)
	{
		extract($args);
		$title = apply_filters('widget_title', $instance['title']);
		$twitter_id = $instance['twitter_id'];
		$follow = $instance['follow'];
		$count = $instance['count'];

		echo $before_widget;

		if($title) {
			echo $before_title.$title.$after_title;
		}
		
		if($twitter_id) { ?>
		<script type="text/javascript">
		jQuery(document).ready(function($) {
			$('#tweets_<?php echo $args['widget_id']; ?>').jtwt({
				count: <?php echo $count; ?>,
				username: '<?php echo $twitter_id; ?>',
				image_size: 0,
				convert_links: 1
			});
		});
		</script>
		<div class="tweets-container" id="tweets_<?php echo $args['widget_id']; ?>"></div>
		<?php }
		
		echo $after_widget;
	}
	
	function update($new_instance, $old_instance)
	{
		$instance = $old_instance;

		$instance['title'] = strip_tags($new_instance['title']);
		$instance['twitter_id'] = $new_instance['twitter_id'];
		$instance['follow'] = $new_instance['follow'];
		$instance['count'] = $new_instance['count'];
		
		return $instance;
	}

	function form($instance)
	{
		$defaults = array('title' => 'Recent Tweets', 'twitter_id' => '', 'follow' => 'Follow me on Twitter', 'count' => 3);
		$instance = wp_parse_args((array) $instance, $defaults); ?>
		
		<p>
			<label for="<?php echo $this->get_field_id('title'); ?>">Title:</label>
			<input class="widefat" style="width: 216px;" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" value="<?php echo $instance['title']; ?>" />
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id('twitter_id'); ?>">Twitter ID:</label>
			<input class="widefat" style="width: 216px;" id="<?php echo $this->get_field_id('twitter_id'); ?>" name="<?php echo $this->get_field_name('twitter_id'); ?>" value="<?php echo $instance['twitter_id']; ?>" />
		</p>

		</p>

			<label for="<?php echo $this->get_field_id('count'); ?>">Number of Tweets:</label>
			<input class="widefat" style="width: 216px;" id="<?php echo $this->get_field_id('count'); ?>" name="<?php echo $this->get_field_name('count'); ?>" value="<?php echo $instance['count']; ?>" />
		</p>

	<?php
	}
}
?>